#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0xd6dfae27, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x279b4c1f, "sun4i_frontend_enable" },
	{ 0xddc6ebe6, "kmalloc_caches" },
	{ 0x815588a6, "clk_enable" },
	{ 0x58e6ac58, "drm_atomic_helper_update_plane" },
	{ 0x587cd2fc, "of_device_get_match_data" },
	{ 0x6b58a601, "component_add" },
	{ 0xad007b3a, "regmap_update_bits_base" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xd42d63fa, "drm_atomic_get_plane_state" },
	{ 0x7671068a, "of_graph_get_port_by_id" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x987c11c7, "__pv_phys_pfn_offset" },
	{ 0xdbe76d3, "devm_ioremap_resource" },
	{ 0xb1ad28e0, "__gnu_mcount_nc" },
	{ 0xcf2e5bda, "drm_fb_cma_get_gem_addr" },
	{ 0x66c2eb9c, "of_device_is_compatible" },
	{ 0x67de1fe0, "sun4i_frontend_update_coord" },
	{ 0x5019eeb, "sun4i_frontend_exit" },
	{ 0x2817ec8c, "regmap_read" },
	{ 0xf5912ca8, "__devm_reset_control_get" },
	{ 0xc2a74b5a, "drm_universal_plane_init" },
	{ 0x42bc88b1, "of_dma_configure" },
	{ 0x620dcb17, "__platform_driver_register" },
	{ 0xf73c192d, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0xd039e3e8, "drm_gem_fb_prepare_fb" },
	{ 0x28a05f1d, "drm_plane_create_alpha_property" },
	{ 0x697c1496, "__devm_regmap_init_mmio_clk" },
	{ 0xb5fca16c, "_dev_warn" },
	{ 0xa631b179, "sun4i_frontend_format_is_supported" },
	{ 0x39a12ca7, "_raw_spin_unlock_irqrestore" },
	{ 0xcf04fd96, "__drm_atomic_helper_plane_reset" },
	{ 0xaea95e77, "of_find_property" },
	{ 0xa1c76e0a, "_cond_resched" },
	{ 0x48391a0f, "sun4i_frontend_init" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x7c6634c7, "sun4i_frontend_update_formats" },
	{ 0xf5851b5c, "platform_get_resource" },
	{ 0xa746e27f, "_dev_err" },
	{ 0xc5b0ad04, "drm_plane_cleanup" },
	{ 0x12a38747, "usleep_range" },
	{ 0x538ca5c0, "__drm_atomic_helper_plane_destroy_state" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xde4a99d7, "of_graph_get_endpoint_by_regs" },
	{ 0xd2fedd00, "drm_plane_create_zpos_property" },
	{ 0x70b89276, "devm_clk_get" },
	{ 0xdda8af16, "kmem_cache_alloc_trace" },
	{ 0xdb9ca3c5, "_raw_spin_lock" },
	{ 0x5f849a69, "_raw_spin_lock_irqsave" },
	{ 0x27381380, "of_get_next_available_child" },
	{ 0x4e095f11, "drm_get_format_name" },
	{ 0x2cfde9a2, "warn_slowpath_fmt" },
	{ 0xe6f3f2b3, "of_graph_get_remote_port_parent" },
	{ 0x37a0cba, "kfree" },
	{ 0x6e1cea4d, "component_del" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x96413fdb, "sunxi_bt601_yuv2rgb_coef" },
	{ 0xc8b59afd, "of_graph_parse_endpoint" },
	{ 0x49598ece, "sun4i_frontend_update_buffer" },
	{ 0x34a4640a, "drm_dbg" },
	{ 0x95b472b5, "drm_atomic_helper_disable_plane" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x3b6a70c1, "platform_driver_unregister" },
	{ 0x9b3062ca, "of_node_put" },
	{ 0x8f19a3ce, "devm_kmalloc" },
	{ 0xa95cec68, "regmap_write" },
	{ 0xaadd02a6, "of_graph_get_remote_endpoint" },
};

MODULE_INFO(depends, "sun4i-frontend,drm_kms_helper,drm");

MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-display-backend");
MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-display-backendC*");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a13-display-backend");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a13-display-backendC*");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31-display-backend");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31-display-backendC*");
MODULE_ALIAS("of:N*T*Callwinner,sun7i-a20-display-backend");
MODULE_ALIAS("of:N*T*Callwinner,sun7i-a20-display-backendC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a23-display-backend");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a23-display-backendC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a33-display-backend");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a33-display-backendC*");
MODULE_ALIAS("of:N*T*Callwinner,sun9i-a80-display-backend");
MODULE_ALIAS("of:N*T*Callwinner,sun9i-a80-display-backendC*");

MODULE_INFO(srcversion, "E3238B5FE94FC84647EDB07");
