#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0xd6dfae27, "module_layout" },
	{ 0x646b0d11, "drm_release" },
	{ 0xdd73da03, "drm_dev_register" },
	{ 0xae52b043, "drm_dev_alloc" },
	{ 0x2a33700e, "component_unbind_all" },
	{ 0x38136f7f, "drm_mode_config_cleanup" },
	{ 0x788667e2, "of_parse_phandle" },
	{ 0xf5917690, "drm_mode_config_reset" },
	{ 0x7671068a, "of_graph_get_port_by_id" },
	{ 0x5e419ef6, "component_bind_all" },
	{ 0xb1ad28e0, "__gnu_mcount_nc" },
	{ 0x66c2eb9c, "of_device_is_compatible" },
	{ 0xb0af5a30, "drm_vblank_init" },
	{ 0x2c4f4c79, "component_master_del" },
	{ 0x9f746c05, "drm_of_component_match_add" },
	{ 0x620dcb17, "__platform_driver_register" },
	{ 0xc325df6e, "of_reserved_mem_device_init_by_idx" },
	{ 0x848e0d6e, "drm_gem_cma_dumb_create_internal" },
	{ 0xd0720076, "drm_fbdev_generic_setup" },
	{ 0xc91d1282, "drm_dev_put" },
	{ 0xb6564f70, "remove_conflicting_framebuffers" },
	{ 0xec0465c7, "drm_atomic_helper_commit_tail_rpm" },
	{ 0xbc9708df, "drm_dev_unregister" },
	{ 0xc11edab7, "of_device_is_available" },
	{ 0xde8764d4, "of_match_node" },
	{ 0x9f2fa7df, "drm_gem_fb_create" },
	{ 0xb6ad7f53, "drm_gem_cma_mmap" },
	{ 0x3b593b7, "drm_read" },
	{ 0x130353d5, "noop_llseek" },
	{ 0x29b8beb, "drm_cma_gem_create_object_default_funcs" },
	{ 0xa746e27f, "_dev_err" },
	{ 0x350e5dcd, "sun8i_tcon_top_of_table" },
	{ 0xf342774d, "drm_gem_prime_fd_to_handle" },
	{ 0xf44740dc, "drm_ioctl" },
	{ 0xd2a3262c, "of_reserved_mem_device_release" },
	{ 0xdaf5b495, "drm_atomic_helper_commit" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xe13164ef, "sun4i_frontend_of_table" },
	{ 0xb6a4382c, "drm_atomic_normalize_zpos" },
	{ 0x27381380, "of_get_next_available_child" },
	{ 0x55cf654a, "drm_gem_prime_handle_to_fd" },
	{ 0xe6f3f2b3, "of_graph_get_remote_port_parent" },
	{ 0x7d34a282, "drm_mode_config_init" },
	{ 0xc8b59afd, "of_graph_parse_endpoint" },
	{ 0x81e73654, "drm_atomic_helper_shutdown" },
	{ 0x34a4640a, "drm_dbg" },
	{ 0x94080080, "drm_gem_prime_mmap" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x7f7068f0, "component_master_add_with_match" },
	{ 0xe6e8a0de, "drm_gem_cma_prime_import_sg_table_vmap" },
	{ 0x3b6a70c1, "platform_driver_unregister" },
	{ 0x6c10c7a7, "sun4i_tcon_of_table" },
	{ 0xcbaaef24, "drm_kms_helper_poll_init" },
	{ 0x9b3062ca, "of_node_put" },
	{ 0x8f19a3ce, "devm_kmalloc" },
	{ 0xd7da9c43, "drm_poll" },
	{ 0xe8e720fb, "drm_open" },
	{ 0x57ffdc53, "drm_kms_helper_poll_fini" },
	{ 0x5780d78c, "drm_atomic_helper_check_planes" },
	{ 0xeabfb6f9, "drm_atomic_helper_check_modeset" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,sun8i_tcon_top,sun4i-frontend,sun4i-tcon");

MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a10s-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a10s-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a13-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a13-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31s-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31s-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun7i-a20-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun7i-a20-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a23-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a23-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a33-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a33-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a83t-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a83t-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-h3-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-h3-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-r40-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-r40-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-v3s-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-v3s-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun9i-a80-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun9i-a80-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-a64-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-a64-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-h6-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-h6-display-engineC*");

MODULE_INFO(srcversion, "33C133A2735DB886FCC0224");
